﻿// Assemblage du Script
package Scripts {
	
	// Importation des notions
	import flash.display.MovieClip;
	import flash.events.Event;
	
	// Classe du script
	public class Rouage extends MovieClip {
		
		// Valeur de direction de la roue
		private var laDirection:Number = 0;
		
		// Fonction initiale du script
		function Rouage():void {
			
			// Applique à la roue son événement de boucle
			this.addEventListener( Event.ENTER_FRAME , Rotation );
			
			// S'il a détecté la lettre "D" dans le nom du clip -- - Il tourne vers la droite
			if( this.name.split( "D" ).length > 1 ){
				//
				laDirection = 1;
			
			// S'il n'a pas détecté la lettre "D" dans le nom du clip -- - Il tourne vers la gauche
			} else {
				//
				laDirection = -1;
			}
		}
		
		// Fonction de rotation en boucle
		function Rotation( event:Event ):void {
			
			// Applique la rotation par la variable
			this.rotation += laDirection;
		}
	}
}